// middleware/auth.ts
export default defineNuxtRouteMiddleware((to) => {
  const { isAuthenticated } = useAuth()
  
  // Если маршрут требует аутентификации и пользователь не авторизован
  if (to.meta.requiresAuth && !isAuthenticated.value) {
    return navigateTo('/auth/login')
  }
  
  // Если пользователь авторизован и пытается получить доступ к страницам аутентификации
  if (to.path.startsWith('/auth') && isAuthenticated.value) {
    return navigateTo('/profile')
  }
})